@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';


@import 'variables';
@import '../node_modules/font-awesome/scss/font-awesome';

// some basic resets 

body { 
  padding: 0; 
  margin: 0; 
  font-family: Roboto, sans-serif; 
  
}
.container {
  margin: 20px;
  display:flex;
}

$lt-gray: #ddd;
$background-dark: #512DA8;
$background-light: #9575CD;
$background-pale: #D1C4E9;
$primary-color-dark:   #512DA8;
$primary-color:        #673AB7;
$primary-color-light:  #D1C4E9;
$primary-color-text:   #FFFFFF;
$accent-color:         #FFC107;
$primary-text-color:   #212121;
$secondary-text-color: #757575;
$divider-color:        #BDBDBD;

@mixin zero-margin($pad-up-down, $pad-left-right) {
    margin: 0px auto;
    padding: $pad-up-down $pad-left-right;
}
.background-primary {
    background-color: $background-dark!important;
  }
.background-accent {
    background-color: $accent-color!important;
  }
.text-floral-white {
    color: floralwhite!important;
}

.flex-spacer {
  flex: 1 1 auto;
}